! Programa que determina se um numero lido é ou não primo
program numero_primo
   implicit none
   integer numero, div, cont_div

   write(*, *) "Programa que determina se um numero lido eh ou nao primo"
   write(*, *)
   write(*, *) "Digite um numero inteiro:"
   read(*, *) numero

   ! conta os divisores do numero lido
   cont_div = 0
   do div = 1, numero, 1
     if (mod(numero, div) == 0) then
       cont_div = cont_div + 1
     end if
   end do

   ! verifica se o numero é ou não primo
   if (cont_div == 2) then
     write(*, *) "O numero lido Eh Primo"
   else
     write(*, *) "O numero lido Nao Eh Primo"
   end if
     
   stop 
end program numero_primo